import typescript from '@rollup/plugin-typescript'
import { terser } from 'rollup-plugin-terser'
import pkg from './package.json'

export default [
    {
        input: 'src/index.ts',
        external: Object.keys(pkg.dependencies),
        plugins: [
            typescript({
                tsconfig: './tsconfig.build.json',
            }),
            terser({
                compress: {
                    drop_console: false,
                },
            }),
        ],
        output: [{ dir: './dist', format: 'esm', sourcemap: true }],
    },
]
